# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.utils.translation import ugettext_lazy as _

ADDRESS_GOOGLE_GEOCODING_KEY = "AIzaSyA7OY-BlhgMEBE1mOhPAaiNNmT_ggf1n8M"
ADDRESS_GOOGLE_GEOCODING_ENDPOINT = "https://maps.google.com/maps/api/geocode/json"

#: Configurazione choices
ADDRESS_ADDRESS_TYPE_CHOICES = (
    (1, _('Corso')),
    (2, _('Largo')),
    (3, _('Località')),
    (4, _('Piazza')),
    (5, _('Strada/Stretto')),
    (6, _('Traversa')),
    (7, _('Via')),
    (8, _('Viale')),
    (9, _('Vicolo/Vico')),
    (10, _('Circonvallazione')),
    (11, _('Frazione')),
    (12, _('Rione')),
    (13, _('Salita')),
    (14, _('Contrada')),
    (15, _('Statale')),
    (16, _('Autostrada')),
    (17, _('Cascina')),
    (18, _('Parco')),
    (19, _('Spalto')),
    (20, _('Tangenziale')),
    (21, _('Zona industriale')),
    (22, _('Borgo')),
    (23, _('Galleria')),
    (24, _('Piazzale')),
    (25, _('Corte')),
    (26, _('Centro')),
    (27, _('Foro')),
    (28, _('Lungo/Lungomare')),
    (29, _('Calle')),
    (30, _('Riviera')),
    (31, _('Villaggio')),
    (32, _('Passaggio')),
    (33, _('Borgata')),
    (34, _('Lungolago')),
)


ADDRESS_ADDRESS_PROVINCE_CHOICES = (
    ("", ""),
    ("ext", _("Foreign Country")),
    ('AG', _('Agrigento')),
    ('AL', _('Alessandria')),
    ('AN', _('Ancona')),
    ('AO', _('Aosta')),
    ('AR', _('Arezzo')),
    ('AP', _('Ascoli Piceno')),
    ('AT', _('Asti')),
    ('AV', _('Avellino')),
    ('BA', _('Bari')),
    ('BT', _('Barletta-Andria-Trani')),
    ('BL', _('Belluno')),
    ('BN', _('Benevento')),
    ('BG', _('Bergamo')),
    ('BI', _('Biella')),
    ('BO', _('Bologna')),
    ('BZ', _('Bolzano')),
    ('BS', _('Brescia')),
    ('BR', _('Brindisi')),
    ('CA', _('Cagliari')),
    ('CL', _('Caltanissetta')),
    ('CB', _('Campobasso')),
    ('CI', _('Carbonia-Iglesias')),
    ('CE', _('Caserta')),
    ('CT', _('Catania')),
    ('CZ', _('Catanzaro')),
    ('CH', _('Chieti')),
    ('CO', _('Como')),
    ('CS', _('Cosenza')),
    ('CR', _('Cremona')),
    ('KR', _('Crotone')),
    ('CN', _('Cuneo')),
    ('EN', _('Enna')),
    ('FM', _('Fermo')),
    ('FE', _('Ferrara')),
    ('FI', _('Firenze')),
    ('FG', _('Foggia')),
    ('FC', _('Forlì-Cesena')),
    ('FR', _('Frosinone')),
    ('GE', _('Genova')),
    ('GO', _('Gorizia')),
    ('GR', _('Grosseto')),
    ('IM', _('Imperia')),
    ('IS', _('Isernia')),
    ('SP', _('La Spezia')),
    ('AQ', _('''L'Aquila''')),
    ('LT', _('Latina')),
    ('LE', _('Lecce')),
    ('LC', _('Lecco')),
    ('LI', _('Livorno')),
    ('LO', _('Lodi')),
    ('LU', _('Lucca')),
    ('MC', _('Macerata')),
    ('MN', _('Mantova')),
    ('MS', _('Massa-Carrara')),
    ('MT', _('Matera')),
    ('ME', _('Messina')),
    ('MI', _('Milano')),
    ('MO', _('Modena')),
    ('MB', _('Monza e della Brianza')),
    ('NA', _('Napoli')),
    ('NO', _('Novara')),
    ('NU', _('Nuoro')),
    ('OT', _('Olbia-Tempio')),
    ('OR', _('Oristano')),
    ('PD', _('Padova')),
    ('PA', _('Palermo')),
    ('PR', _('Parma')),
    ('PV', _('Pavia')),
    ('PG', _('Perugia')),
    ('PU', _('Pesaro e Urbino')),
    ('PE', _('Pescara')),
    ('PC', _('Piacenza')),
    ('PI', _('Pisa')),
    ('PT', _('Pistoia')),
    ('PN', _('Pordenone')),
    ('PZ', _('Potenza')),
    ('PO', _('Prato')),
    ('RG', _('Ragusa')),
    ('RA', _('Ravenna')),
    ('RC', _('Reggio Calabria')),
    ('RE', _('Reggio Emilia')),
    ('RI', _('Rieti')),
    ('RN', _('Rimini')),
    ('RM', _('Roma')),
    ('RO', _('Rovigo')),
    ('SA', _('Salerno')),
    ('VS', _('Medio Campidano')),
    ('SS', _('Sassari')),
    ('SV', _('Savona')),
    ('SI', _('Siena')),
    ('SR', _('Siracusa')),
    ('SO', _('Sondrio')),
    ('TA', _('Taranto')),
    ('TE', _('Teramo')),
    ('TR', _('Terni')),
    ('TO', _('Torino')),
    ('OG', _('Ogliastra')),
    ('TP', _('Trapani')),
    ('TN', _('Trento')),
    ('TV', _('Treviso')),
    ('TS', _('Trieste')),
    ('UD', _('Udine')),
    ('VA', _('Varese')),
    ('VE', _('Venezia')),
    ('VB', _('Verbano-Cusio-Ossola')),
    ('VC', _('Vercelli')),
    ('VR', _('Verona')),
    ('VV', _('Vibo Valentia')),
    ('VI', _('Vicenza')),
    ('VT', _('Viterbo')),
)

# Default proximity in NearbyManager
ADDRESS_DEFAULT_PROXIMITY = 100



